- hosts: localhost
  vars:
  - artifacts: "{{ lookup('env', 'TEST_ARTIFACTS')|default('./artifacts', true) }}"
  tags:
  - classic
  roles:
  - role: standard-test-basic
    tests:
    - grammar2
    required_packages:
    - acpica-tools
  remote_user: root
  tasks:
  - name: grammar2
    block:
      - name: run the grammar2 test
        shell: exec > /tmp/grammar2.test.log 2>&1 && ./grammar2/runtest.sh

    always:
      - name: pull out results
        fetch:
          dest: "{{ artifacts }}/"
          src:  "{{ item }}"
          flat: yes
        with_items:
        - /tmp/grammar2.test.log
        - ./grammar2/grammar2.asl.expected
        - ./grammar2/grammar2.asl.actual
